Subject: Re: bug#24756: 26.0.50; Emacs should not use pselect
From: Stefan Kangas <[email-masked]>
To: Philipp Stephani <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Sep 2019 06:02:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Philipp Stephani <[email-masked]> writes:

> Philipp Stephani <[email-masked]> schrieb am Fr., 21. Okt. 2016 um 17:42 Uhr:
>
>  Emacs uses pselect for IO multiplexing, limiting the number of available
>  file descriptors to FD_SETSIZE.  Rather, epoll/kqueue should be used, if
>  available.
>
> Some good counter-arguments were brought up:
> - pselect is in the POSIX standard, whereas the possible replacements (ppoll/epoll/kqueue) are not.
> - The file descriptor limit should only be hit in pathological cases, e.g. when leaking background processes, and is only a symptom of a bug somewhere else. A higher FD limit would only hide the symptom, but not fix the underlying root cause.
>
> Given that, I'm no longer convinced that switching away from pselect would be a good idea (but I'll leave this bug open for now to provide a space for discussion).

That was three years ago, and no such discussion has taken place here.
If there is a continued need to discuss this, perhaps it's better to
take it to emacs-devel.  I'm therefore closing this bug report.

If anyone disagrees, they should feel free to reopen.

Best regards,
Stefan Kangas